%global packname LDheatmap
%global Rversion 2.0.0
%global packvers 0.2
%global packrel 8

Name:             R-%{packname}
Version:          0.2.8
Release:          4%{?dist}
Summary:          Graphical display of pairwise linkage disequilibria between SNPs
Group:            Applications/Productivity
License:          GPLv2
URL:              http://cran.r-project.org/web/packages/LDheatmap/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packvers}-%{packrel}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires:         R-genetics
Requires:         R-core >= %{Rversion}
BuildRequires:    R-devel, R-genetics


%description
Produces a graphical display, as a heat map, of measures of pairwise 
linkage disequilibria between SNPs. Users may optionally include the 
physical locations or genetic map distances of each SNP on the plot

%prep
%setup -c -q -n %{packname}
%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css
chmod -x %{buildroot}%{_datadir}/R/library/%{packname}/demo/*.R

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/ChangeLog
%doc %{_datadir}/R/library/%{packname}/doc

%{_datadir}/R/library/%{packname}/CITATION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/demo

%changelog
* Fri Apr 30 2010 josef radinger <cheese@nosuchhost.net>
- 0.2.8-4
- R-core instead of R
- fix version

* Fri Apr 09 2010 josef radinger <cheese@nosuchhost.net>
- 0.2-3
- enable check

* Thu Apr 08 2010 josef radinger <cheese@nosuchhost.net>
- 0.2-2
- fix tabs in spec-file

* Wed Apr 07 2010 josef radinger <cheese@nosuchhost.net>
- 0.2-1
- initial release
